MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024893Community[OCCT] OCCT:Codingpublic2014-05-03 01:562014-11-11 12:52
ReporterEpy 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformUbuntu 14.04 32 bitOSUbuntuOS Version14.04
Product Version[OCCT] 6.7.0 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0024893: CLang warnings -Wlogical-not-parentheses for gce_Done comparisons
Description0024818 seems to have covered a lot of these already but all the comparisons using the enum gce_Done were not mentioned. gce_Done is an enumerated type so !TheError == gce_Done really makes no sense, I'm guessing the original intention was !(TheError == gce_Done) since ! is evaluated before ==.
TagsNo tags attached.
Test case numberNot needed
Attached Filestxt file icon clang-errors.txt (42,642 bytes) 2014-05-03 01:56

- Relationships

-  Notes
(0029182)
abv (manager)
2014-05-03 09:09

Fix pushed to branch CR24893, please review.

(The problem has not been reported within 0024818 because it shows up only in Debug builds)
(0029183)
kgv (developer)
2014-05-03 10:12

Please test the patch.
(0029238)
mkv (tester)
2014-05-07 18:47

Dear BugMaster,

Branch CR24893 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: 8198b42c2609d6edd6afb57a3fbd9342c4153691

Number of compiler warnings:

occt component :
Linux: 18 (18 on master)
Windows: 0 (0 on master)

products component :
Linux: 12 (12 on master)
Windows: 2 (2 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 356949536 / 355561056
Total CPU difference: 50883.94000000006 / 53337.799999999814

Testing on Windows:
Total MEMORY difference: 379793796 / 379843896
Total CPU difference: 37685.328125 / 36615.28125

There are no differences in images found by testdiff.

- Related Changesets
occt: master 82fc327c
Timestamp: 2014-05-03 04:58:18
Author: abv
Committer: bugmaster
Details ] Diff ]
0024893: CLang warnings -Wlogical-not-parentheses for gce_Done comparisons

Incorrect comparison in condition within RiseIf macro fixed
mod - src/GC/GC_MakeArcOfCircle.cxx Diff ] File ]
mod - src/GC/GC_MakeArcOfEllipse.cxx Diff ] File ]
mod - src/GC/GC_MakeArcOfHyperbola.cxx Diff ] File ]
mod - src/GC/GC_MakeArcOfParabola.cxx Diff ] File ]
mod - src/GC/GC_MakeCircle.cxx Diff ] File ]
mod - src/GC/GC_MakeConicalSurface.cxx Diff ] File ]
mod - src/GC/GC_MakeCylindricalSurface.cxx Diff ] File ]
mod - src/GC/GC_MakeEllipse.cxx Diff ] File ]
mod - src/GC/GC_MakeHyperbola.cxx Diff ] File ]
mod - src/GC/GC_MakeLine.cxx Diff ] File ]
mod - src/GC/GC_MakePlane.cxx Diff ] File ]
mod - src/GC/GC_MakeSegment.cxx Diff ] File ]
mod - src/GC/GC_MakeTrimmedCone.cxx Diff ] File ]
mod - src/GC/GC_MakeTrimmedCylinder.cxx Diff ] File ]
mod - src/gce/gce_MakeCirc.cxx Diff ] File ]
mod - src/gce/gce_MakeCirc2d.cxx Diff ] File ]
mod - src/gce/gce_MakeCone.cxx Diff ] File ]
mod - src/gce/gce_MakeCylinder.cxx Diff ] File ]
mod - src/gce/gce_MakeDir.cxx Diff ] File ]
mod - src/gce/gce_MakeDir2d.cxx Diff ] File ]
mod - src/gce/gce_MakeElips.cxx Diff ] File ]
mod - src/gce/gce_MakeElips2d.cxx Diff ] File ]
mod - src/gce/gce_MakeHypr.cxx Diff ] File ]
mod - src/gce/gce_MakeHypr2d.cxx Diff ] File ]
mod - src/gce/gce_MakeLin.cxx Diff ] File ]
mod - src/gce/gce_MakeLin2d.cxx Diff ] File ]
mod - src/gce/gce_MakeParab.cxx Diff ] File ]
mod - src/gce/gce_MakeParab2d.cxx Diff ] File ]
mod - src/gce/gce_MakePln.cxx Diff ] File ]
mod - src/GCE2d/GCE2d_MakeArcOfCircle.cxx Diff ] File ]
mod - src/GCE2d/GCE2d_MakeArcOfEllipse.cxx Diff ] File ]
mod - src/GCE2d/GCE2d_MakeArcOfHyperbola.cxx Diff ] File ]
mod - src/GCE2d/GCE2d_MakeArcOfParabola.cxx Diff ] File ]
mod - src/GCE2d/GCE2d_MakeCircle.cxx Diff ] File ]
mod - src/GCE2d/GCE2d_MakeEllipse.cxx Diff ] File ]
mod - src/GCE2d/GCE2d_MakeHyperbola.cxx Diff ] File ]
mod - src/GCE2d/GCE2d_MakeLine.cxx Diff ] File ]
mod - src/GCE2d/GCE2d_MakeParabola.cxx Diff ] File ]
mod - src/GCE2d/GCE2d_MakeSegment.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-05-03 01:56 Epy New Issue
2014-05-03 01:56 Epy Assigned To => kgv
2014-05-03 01:56 Epy File Added: clang-errors.txt
2014-05-03 09:09 abv Note Added: 0029182
2014-05-03 09:09 abv Status new => resolved
2014-05-03 09:09 abv Target Version => 6.8.0
2014-05-03 10:12 kgv Note Added: 0029183
2014-05-03 10:12 kgv Assigned To kgv => bugmaster
2014-05-03 10:12 kgv Status resolved => reviewed
2014-05-05 10:42 mkv Assigned To bugmaster => mkv
2014-05-07 18:47 mkv Note Added: 0029238
2014-05-07 18:47 mkv Test case number => Not needed
2014-05-07 18:47 mkv Assigned To mkv => bugmaster
2014-05-07 18:47 mkv Status reviewed => tested
2014-05-12 16:20 bugmaster Changeset attached => occt master 82fc327c
2014-05-12 16:20 bugmaster Status tested => verified
2014-05-12 16:20 bugmaster Resolution open => fixed
2014-11-11 12:47 user533 Fixed in Version => 6.8.0
2014-11-11 12:52 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker